
/* DS18B20 routines
*
* 25-Oct-2015  Stephan Laage-Witt
*/

// DS18B20 instructions codes ------------------------------------------------------------------------
#define DS18B20_CMD_SKIPROM			0xcc
#define DS18B20_CMD_CONVERTTEMP		0x44
#define DS18B20_CMD_RSCRATCHPAD		0xbe
#define DS18B20_CMD_WSCRATCHPAD		0x4e

// Ports and pins ------------------------------------------------------------------------------------
#define DS18B20_DDR DDRB			// Data direction for temperature sensor ports
#define DS18B20_PORT PORTB			// Output port for temperature sensor
#define DS18B20_INPORT PINB			// Input port for temperature sensor
#define DS18B20_PIN_EXT	7			// Pin number for external sensor
#define DS18B20_PIN_INT 6			// Pin number for internal sensor

// Functions
uint8_t ds18b20_init(uint8_t pin);
uint8_t ds18b20_read_temperatur(uint8_t pin, int16_t *cels_temp);
