
/*************************************************************************************************/
/* display_routines.h */
/*************************************************************************************************/

// GLCD workspace definition 
#define GLCD_WORKSPACE_Y_START 11		// upper margin of the display workspace
#define GLCD_WORKSPACE_Y_END 53			// lower margin of the display workspace

#define DISPLAY_POS_DATE_X 0
#define DISPLAY_POS_TIME_X 162

#include "chicken_mobile.h"

// function prototypes
void display_startup(void);
void show_date(datetime_t *date_time, const uint8_t x_pos, const uint8_t y_pos);
void show_time(datetime_t *date_time, const uint8_t x_pos, const uint8_t y_pos);
void show_menu(const char *menu_str);
void show_LED_level(const uint8_t x_pos, const uint8_t y_pos);
void show_mp3_status(const uint8_t x_pos, const uint8_t y_pos);
void show_mp3_song_nr(const uint8_t x_pos, const uint8_t y_pos);
void show_hatch_status(const uint8_t x_pos, const uint8_t y_pos);
void initiate_cockpit(void);
void show_datetime_parms(uint8_t x_pos);
void show_batt_parms(uint8_t x_pos);
void show_LED_parms(uint8_t x_pos);
void show_display_parms(uint8_t x_pos); 
void show_amb_light_parms(uint8_t x_pos);
void show_mp3_parms(uint8_t x_pos);
void show_hatch_control_parms(uint8_t x_pos);
void refresh_cockpit(void);
void message_box(const char *msg, const uint8_t delay_sec);
void show_temp_log_ext(void);
void show_temp_log_int(void);
void show_batt_log(void);
void show_light_start_time(void);





